var $shopcart = $('span.glyphicon.glyphicon-shopping-cart.pull-right');
    $search = $('#search');


$search.on('click', function() {
    
    $(".input").toggleClass("active");
    $("input[type='text']").focus(); 
   console.log ('Slava');  
    
});

var doing = JSON.parse(localStorage.getItem ('cart')) || 0;
$('[data-which = "1"]').text(doing);
 if (!(doing == 0)) {
   $('#shop')
    .css ({'color':'red'}); 
 } else {
   $('#shop')
    .css ({'color':'white'});
 }

$shopcart.on('click', function() {
    
    $('#shop')
    .css ({'color':'red'});	
     
      doing++;
  
    $('[data-which = "1"]').text(doing);
    localStorage.setItem('cart', JSON.stringify(doing));
    return false;
});



/*var d = document,
    itemBox = d.querySelectorAll('.product'), // блок каждого товара
    cartCont = d.getElementById('#shop'); // блок вывода данных корзины
// Функция кроссбраузерной установка обработчика событий
function addEvent(elem, type, handler){
  if(elem.addEventListener){
    elem.addEventListener(type, handler, false);
  } else {
    elem.attachEvent('on'+type, function(){ handler.call( elem ); });
  }
  return false;
}
// Получаем данные из LocalStorage
function getCartData(){
  return JSON.parse(localStorage.getItem('cart'));
}
// Записываем данные в LocalStorage
function setCartData(o){
  localStorage.setItem('cart', JSON.stringify(o));
  return false;
}
// Добавляем товар в корзину
function addToCart(e){
  this.disabled = true; // блокируем кнопку на время операции с корзиной
  var cartData = getCartData() || {}, // получаем данные корзины или создаём новый объект, если данных еще нет
      parentBox = this.parentNode, // родительский элемент кнопки "Добавить в корзину"
      itemId = this.getAttribute('data-id'), // ID товара
      itemTitle = parentBox.querySelector('product-desc').innerHTML, // название товара
      itemPrice = parentBox.querySelector('product-price').innerHTML; // стоимость товара
  if(cartData.hasOwnProperty(itemId)){ // если такой товар уже в корзине, то добавляем +1 к его количеству
    cartData[itemId][2] += 1;
  } else { // если товара в корзине еще нет, то добавляем в объект
    cartData[itemId] = [itemTitle, itemPrice, 1];
  }
  if(!setCartData(cartData)){ // Обновляем данные в LocalStorage
    this.disabled = false; // разблокируем кнопку после обновления LS
  }
 return false;
}
// Устанавливаем обработчик события на каждую кнопку "Добавить в корзину"
for(var i = 0; i < itemBox.length; i++){
  addEvent(itemBox[i].querySelector('span.glyphicon.glyphicon-shopping-cart.pull-right'), 'click', addToCart);
}
// Открываем корзину со списком добавленных товаров
function openCart(e){
  var cartData = getCartData(), // вытаскиваем все данные корзины
      totalItems = '';
  // если что-то в корзине уже есть, начинаем формировать данные для вывода
  if(cartData !== null){
    totalItems = '<table class="shopping_list"><tr><th>Наименование</th><th>Цена</th><th>Кол-во</th></tr>';
    for(var items in cartData){
      totalItems += '<tr>';
      for(var i = 0; i < cartData[items].length; i++){
        totalItems += '<td>' + cartData[items] + '</td>';
      }
      totalItems += '</tr>';
    }
    totalItems += '</table>';
    cartCont.innerHTML = totalItems;
  } else {
    // если в корзине пусто, то сигнализируем об этом
    cartCont.innerHTML = 'В корзине пусто!';
  }
  return false;
}
/* Открыть корзину */
// addEvent(d.getElementById('span.glyphicon.glyphicon-shopping-cart'), 'click', openCart);
/* Очистить корзину */
//addEvent(d.getElementById('clear_cart'), 'click', function(e){
  //localStorage.removeItem('cart');
//  cartCont.innerHTML = 'Корзина очишена.';
//});*/
